Uploaded image for project: 'SonarQube'
  1. SonarQube
  2. SONAR-15776

Remove deprecation for 'Plugin-Dependencies' attribute declared by plugins

    XMLWordPrintable

    Details

    • Type: Improvement
    • Status: Closed
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 9.3
    • Component/s: Plugin API
    • Edition:
      Community
    • Production Notes:
      None

      Description

      We decided that we'll continue to support this attribute in SonarQube.
      The need to drop it is only on SonarLint's side, so it will only be deprecated in SonarLint. Many plugins don't run in SonarLint and those plugins don't need to be changed.

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              wouter.admiraal Wouter Admiraal
              Reporter:
              duarte.meneses Duarte Meneses
              Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved: